File: control

package info (click to toggle)
gimp 2.10.18-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 225,636 kB
  • sloc: ansic: 815,922; makefile: 12,059; python: 7,782; cpp: 7,042; lisp: 5,507; sh: 4,562; perl: 3,805; xml: 1,484; yacc: 588; lex: 342
file content (150 lines) | stat: -rw-r--r-- 5,519 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gimp
Priority: optional
Section: graphics
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Ari Pollak <ari@debian.org>
Build-Depends: debhelper-compat (= 12),
               desktop-file-utils <!nocheck>,
               dh-sequence-gnome,
               gegl (>= 0.4.22),
               gettext,
               glib-networking,
               gtk-doc-tools (>= 1.0),
               intltool (>= 0.40.1),
               iso-codes,
               libaa1-dev,
               libasound2-dev (>= 1.0.0) [linux-any],
               libatk1.0-dev (>= 2.2.0),
               libbabl-dev (>= 0.1.74),
               libbz2-dev,
               libcairo2-dev (>= 1.12.2),
               libcurl4-gnutls-dev (>= 7.15.1),
               libdbus-glib-1-dev (>= 0.70),
               libexif-dev (>= 0.6.15),
               libfreetype6-dev (>= 2.2),
               libfontconfig1-dev (>= 2.12.4),
               libgegl-dev (>= 0.4.22),
               libgexiv2-dev (>= 0.10.6),
               libglib2.0-dev (>= 2.54.2),
               libglib2.0-doc,
               libgtk2.0-dev (>= 2.24.10),
               libgtk2.0-doc,
               libgdk-pixbuf2.0-dev (>= 2.30.8),
               libgdk-pixbuf2.0-doc,
               libgs-dev,
               libgudev-1.0-dev (>= 167) [linux-any],
               libheif-dev (>= 1.3.2),
               libice-dev,
               libjpeg-dev,
               liblcms2-dev (>= 2.9),
               libmng-dev,
               libmypaint-dev (>= 1.4.0),
               libopenexr-dev (>= 1.6.1),
               libopenjp2-7-dev (>= 2.1.0),
               libpango1.0-dev (>= 1.29.4),
               libpng-dev (>= 1.6.25),
               libpoppler-glib-dev (>= 0.44.0),
               librsvg2-dev (>= 2.14.0),
               libsm-dev,
               libtiff-dev,
               libwebp-dev (>= 0.6.0),
               libwmf-dev (>= 0.2.8),
               libx11-dev,
               libxcursor-dev,
               libxmu-dev,
               libxpm-dev,
               libxt-dev,
               zlib1g-dev,
               mypaint-brushes,
               patchutils,
               xsltproc
Standards-Version: 4.3.0
X-Ubuntu-Use-Langpack: yes
Vcs-Git: https://salsa.debian.org/gnome-team/gimp.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gimp
Homepage: https://www.gimp.org/

Package: gimp
Architecture: any
Depends: libgimp2.0 (>= ${source:Upstream-Version}),
         libgimp2.0 (<= ${source:Upstream-Version}-z),
         gimp-data (>= ${source:Upstream-Version}),
         gimp-data (<= ${source:Upstream-Version}-z),
         libgdk-pixbuf2.0-0 (>= 2.24.1),
         xdg-utils,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Suggests: gimp-help-en | gimp-help,
          gimp-data-extras,
          gvfs-backends,
          libasound2
Breaks: gimp-plugin-registry (<< 7.20140602+nmu1~)
Replaces: gimp-plugin-registry (<< 7.20140602+nmu1~)
Description: GNU Image Manipulation Program
 GIMP is an advanced picture editor. You can use it to edit, enhance, and
 retouch photos and scans, create drawings, and make your own images.
 It has a large collection of professional-level editing tools and
 filters, similar to the ones you might find in Photoshop. Numerous
 fine-control settings and features like layers, paths, masks, and
 scripting give you total control over your images.
 .
 Many image file formats are supported, including JPEG, Photoshop (.psd),
 and Paint Shop Pro (.psp) files. It can also be used to scan and print
 photos.
 .
 To open files remotely (like over HTTP), install the gvfs-backends
 package.
 .
 To use a MIDI device (like a musical keyboard) as an input controller in GIMP,
 install libasound2 and read the how-to at /usr/share/doc/gimp/README.MIDI

Package: gimp-data
Architecture: all
Enhances: gimp
Depends: ${misc:Depends}
Description: Data files for GIMP
 This package contains architecture-independent supporting data files
 for use with GIMP.

Package: libgimp2.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gimp-data (>= ${source:Upstream-Version}),
            gimp-data (<= ${source:Upstream-Version}-z)
Description: Libraries for the GNU Image Manipulation Program
 This package includes the libgimp libraries, which are
 necessary to run GIMP and third-party GIMP plugins.

Package: libgimp2.0-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgegl-dev (>= 0.4.22),
         libgimp2.0 (= ${binary:Version}),
         libgtk2.0-dev (>= 2.12.5),
         pkg-config
Suggests: libgimp2.0-doc
Description: Headers and other files for compiling plugins for GIMP
 This package contains the header files for the GNU Image Manipulation
 Program, along with the static versions of libgimp.
 It also includes the gimptool-2.0 utility.
 .
 Install this package if you wish to compile your own plugins,
 or if you wish to develop packages that use libgimp.

Package: libgimp2.0-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         lynx | www-browser
Description: Developers' Documentation for the GIMP library
 This package contains the HTML documentation for the GIMP library in
 /usr/share/gtk-doc/html/ .